Subject: bug#37354: 27.0.50; Startup: auto-save-list folder created in current directory

From: Robert Pluim <[email-masked]>
Date: Thu, 12 Sep 2019 10:20:21 +0200

>>>>> On Wed, 11 Sep 2019 08:56:05 -0700, Paul Eggert <[email-masked]> said:

    Paul> Thanks for the bug report. I thought I'd fixed all those defcustoms,
    Paul> but evidently I missed one. I installed the attached patch into
    Paul> master; please give it a try.

So any defcustom that depends on user-emacs-directory needs this
modification? Because there are more:

lisp/custom.el:1135:(defcustom custom-theme-directory user-emacs-directory
lisp/desktop.el:259:(defcustom desktop-path (list user-emacs-directory "~")
lisp/net/eww.el:80:(defcustom eww-bookmarks-directory user-emacs-directory
lisp/net/nsm.el:83:						 user-emacs-directory)
lisp/org/org-clock.el:209:				   (concat user-emacs-directory "org-clock-save.el"))
lisp/org/org-id.el:185:				  (concat user-emacs-directory ".org-id-locations"))

Robert